Subject: [Fwd: Using Visual C++ under Cygwin build system]
From: Tadeusz Liszka <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 04 Oct 2000 10:07:16 -0500

-- 
Tadeusz
:: The public opinion should be alarmed by its own nonexistence
:: (512)467-0618 ext. 526 ::       Stanislaw J. Lec, trans. TJL

Subject: Re: Using Visual C++ under Cygwin build system
From: Tadeusz Liszka <[email-masked]>
To: Matthew Smith <[email-masked]>
Date: Wed, 04 Oct 2000 10:06:08 -0500

Matthew Smith wrote:
> 
> > Hello. I am developing a build system using Cygwin (GNU make, bash,
> > etc.) on Windows 2000.
> >
> > Some of our subsystems must be built using Visual C++. Obviously
> > Visual C++ will not understand paths like "/c/foo/bar.c" (where
> > /c is the Cygwin mounted C: drive). However, since GNU make will
> > be producing targets and processing prerequisites with precisely
> > those kinds of paths, I foresee problems.

It works for me since 20b (winter 98) without cygpath - all paths for the compiler are
produced as relative to the current dir

There was a problem with Digital FORTRAN - which accepts in pathnames only backslash, and
uses slash for the options (/c not -c), and to add to the confucion its' exec name is
obviously df.exe !!!

There was another problem I had: we had preprocessing utility, built as a part of make, to
produce C files to be compiled .... This preprocessor used extensively exec's to 'mv',
'rm', cat', etc. So the sequence was: DOS->bash->make->bash->pre->exec->rm and pre should
not be compiled with VC - switching back and forth between Windoze and Cygwin calling each
other caused strange hung-ups.

> 
> Use the 'cygpath' program included with cygwin.  It will convert back and
> forth between cygwin and windows paths.  An example of using this in a make
> file would be like this:
> 
> RES_FILE := $(shell cygpath -w $(OBJ_DIR)/resource.o)
> 
> cheers,
> -Matt Smith
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Tadeusz
:: The public opinion should be alarmed by its own nonexistence
:: (512)467-0618 ext. 526 ::       Stanislaw J. Lec, trans. TJL

--
Want to unsubscribe from this list?
Send a message to [email-masked]